﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="EditorPage.aspx.cs" Inherits="EditorPage" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>

    <telerik:RadScriptManager ID="SM1" runat="server">
    </telerik:RadScriptManager>

        <telerik:RadEditor ID="RadEditor1" runat="server" OnClientCommandExecuting="OnClientCommandExecuting">
            <Tools>
                <telerik:EditorToolGroup>
                    <telerik:EditorTool Name="LinkManager" />
                    <telerik:EditorTool Name="ImageManager" />
                    <telerik:EditorTool Name="DocumentManager" />
                </telerik:EditorToolGroup>
            </Tools>
            <DocumentManager ViewPaths="~/images" />
        </telerik:RadEditor>
        
        <script type="text/javascript">
			function GetRadWindow()
			{
				var oWindow = null;
				if (window.radWindow)
					oWindow = window.radWindow;
				else if (window.frameElement.radWindow)
					oWindow = window.frameElement.radWindow;
				return oWindow;
			}
        
        
            function OnClientCommandExecuting(editor, args)
            {
                var commandName = args.get_commandName();
                

                if (commandName == "LinkManager" || commandName == "DocumentManager" || commandName == "ImageManager")
                {
                    var dialogOpener = editor.get_dialogOpener();
                    var dialogWindow = GetRadWindow().BrowserWindow.getDialogWindow();

                    dialogOpener.set_container(dialogWindow);
                }
            }
        </script>
    
    </div>
    </form>
</body>
</html>
